Update an integration partially
Authorization
BearerAuth AuthorizationBearer <token>
API authentication via Authorization: Bearer <your-api-key>. Obtain
your API key from Config → API in the Aplas web app.
In: header
Path Parameters
indexId*string
The id of the containing index
integrationId*string
The id of the integration to update
Request Body
application/json
The updated integration (partial properties of the integration are allowed)
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
*/*
curl -X PATCH "https://api.au.aplas.com/api/v2/index/id/integration/id" \ -H "Content-Type: application/json" \ -d '{ "id": "id", "name": "INT-001", "tagIds": [ "id_tag" ], "sourceApplicationId": "id_source", "targetApplicationId": "id_target", "payload": "A Payload", "description": "More information", "status": "Standard", "customFieldA": "Custom Field Value", "customFieldB": [ "alias1", "alias2" ], "componentIds": [ "id_component_1", "id_component_2" ] }'Empty
{
"code": 500,
"message": "Internal server error"
}